Package org.apache.groovy.parser.antlr4

# Class GroovyParser.KeywordsContext

java.lang.Object
org.antlr.v4.runtime.RuleContext
org.antlr.v4.runtime.ParserRuleContext
org.apache.groovy.parser.antlr4.GroovyParser.GroovyParserRuleContext
org.apache.groovy.parser.antlr4.GroovyParser.KeywordsContext

All Implemented Interfaces:
  `org.antlr.v4.runtime.tree.ParseTree`, `org.antlr.v4.runtime.tree.RuleNode`, `org.antlr.v4.runtime.tree.SyntaxTree`, `org.antlr.v4.runtime.tree.Tree`, `NodeMetaDataHandler`

Enclosing class:
  GroovyParser

    public static class GroovyParser.KeywordsContext
    extends GroovyParser.GroovyParserRuleContext

- ## Field Summary

  ### Fields inherited from class org.antlr.v4.runtime.ParserRuleContext

  `children, exception, start, stop`

  ### Fields inherited from class org.antlr.v4.runtime.RuleContext

  `invokingState, parent`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `KeywordsContext​(org.antlr.v4.runtime.ParserRuleContext parent, int invokingState)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `org.antlr.v4.runtime.tree.TerminalNode` | `ABSTRACT()` |
  `<Result> Result` | `accept​(org.antlr.v4.runtime.tree.ParseTreeVisitor<? extends Result> visitor)` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `AS()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `ASSERT()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `BooleanLiteral()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `BREAK()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `BuiltInPrimitiveType()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `CASE()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `CATCH()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `CLASS()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `CONST()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `CONTINUE()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `DEF()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `DEFAULT()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `DO()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `ELSE()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `ENUM()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `EXTENDS()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `FINAL()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `FINALLY()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `FOR()` |
  `int` | `getRuleIndex()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `GOTO()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `IF()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `IMPLEMENTS()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `IMPORT()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `IN()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `INSTANCEOF()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `INTERFACE()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `NATIVE()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `NEW()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `NullLiteral()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `PACKAGE()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `PRIVATE()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `PROTECTED()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `PUBLIC()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `RETURN()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `STATIC()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `STRICTFP()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `SUPER()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `SWITCH()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `SYNCHRONIZED()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `THIS()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `THREADSAFE()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `THROW()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `THROWS()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `TRAIT()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `TRANSIENT()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `TRY()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `VAR()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `VOID()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `VOLATILE()` |
  `org.antlr.v4.runtime.tree.TerminalNode` | `WHILE()` |

  ### Methods inherited from class org.apache.groovy.parser.antlr4.GroovyParser.GroovyParserRuleContext

  `getMetaDataMap, setMetaDataMap`

  ### Methods inherited from class org.antlr.v4.runtime.ParserRuleContext

  `addAnyChild, addChild, addChild, addChild, addErrorNode, addErrorNode, copyFrom, emptyContext, enterRule, exitRule, getChild, getChild, getChildCount, getParent, getRuleContext, getRuleContexts, getSourceInterval, getStart, getStop, getToken, getTokens, removeLastChild, toInfoString`

  ### Methods inherited from class org.antlr.v4.runtime.RuleContext

  `depth, getAltNumber, getChildContext, getPayload, getRuleContext, getText, isEmpty, setAltNumber, setParent, toString, toString, toString, toString, toString, toStringTree, toStringTree, toStringTree`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.codehaus.groovy.ast.NodeMetaDataHandler

  `copyNodeMetaData, getNodeMetaData, getNodeMetaData, getNodeMetaData, putNodeMetaData, removeNodeMetaData, setNodeMetaData`

- ## Constructor Details

  - ### KeywordsContext

    public KeywordsContext​(org.antlr.v4.runtime.ParserRuleContext parent, int invokingState)

- ## Method Details

  - ### ABSTRACT

    public org.antlr.v4.runtime.tree.TerminalNode ABSTRACT()

  - ### AS

    public org.antlr.v4.runtime.tree.TerminalNode AS()

  - ### ASSERT

    public org.antlr.v4.runtime.tree.TerminalNode ASSERT()

  - ### BREAK

    public org.antlr.v4.runtime.tree.TerminalNode BREAK()

  - ### CASE

    public org.antlr.v4.runtime.tree.TerminalNode CASE()

  - ### CATCH

    public org.antlr.v4.runtime.tree.TerminalNode CATCH()

  - ### CLASS

    public org.antlr.v4.runtime.tree.TerminalNode CLASS()

  - ### CONST

    public org.antlr.v4.runtime.tree.TerminalNode CONST()

  - ### CONTINUE

    public org.antlr.v4.runtime.tree.TerminalNode CONTINUE()

  - ### DEF

    public org.antlr.v4.runtime.tree.TerminalNode DEF()

  - ### DEFAULT

    public org.antlr.v4.runtime.tree.TerminalNode DEFAULT()

  - ### DO

    public org.antlr.v4.runtime.tree.TerminalNode DO()

  - ### ELSE

    public org.antlr.v4.runtime.tree.TerminalNode ELSE()

  - ### ENUM

    public org.antlr.v4.runtime.tree.TerminalNode ENUM()

  - ### EXTENDS

    public org.antlr.v4.runtime.tree.TerminalNode EXTENDS()

  - ### FINAL

    public org.antlr.v4.runtime.tree.TerminalNode FINAL()

  - ### FINALLY

    public org.antlr.v4.runtime.tree.TerminalNode FINALLY()

  - ### FOR

    public org.antlr.v4.runtime.tree.TerminalNode FOR()

  - ### GOTO

    public org.antlr.v4.runtime.tree.TerminalNode GOTO()

  - ### IF

    public org.antlr.v4.runtime.tree.TerminalNode IF()

  - ### IMPLEMENTS

    public org.antlr.v4.runtime.tree.TerminalNode IMPLEMENTS()

  - ### IMPORT

    public org.antlr.v4.runtime.tree.TerminalNode IMPORT()

  - ### IN

    public org.antlr.v4.runtime.tree.TerminalNode IN()

  - ### INSTANCEOF

    public org.antlr.v4.runtime.tree.TerminalNode INSTANCEOF()

  - ### INTERFACE

    public org.antlr.v4.runtime.tree.TerminalNode INTERFACE()

  - ### NATIVE

    public org.antlr.v4.runtime.tree.TerminalNode NATIVE()

  - ### NEW

    public org.antlr.v4.runtime.tree.TerminalNode NEW()

  - ### PACKAGE

    public org.antlr.v4.runtime.tree.TerminalNode PACKAGE()

  - ### RETURN

    public org.antlr.v4.runtime.tree.TerminalNode RETURN()

  - ### STATIC

    public org.antlr.v4.runtime.tree.TerminalNode STATIC()

  - ### STRICTFP

    public org.antlr.v4.runtime.tree.TerminalNode STRICTFP()

  - ### SUPER

    public org.antlr.v4.runtime.tree.TerminalNode SUPER()

  - ### SWITCH

    public org.antlr.v4.runtime.tree.TerminalNode SWITCH()

  - ### SYNCHRONIZED

    public org.antlr.v4.runtime.tree.TerminalNode SYNCHRONIZED()

  - ### THIS

    public org.antlr.v4.runtime.tree.TerminalNode THIS()

  - ### THROW

    public org.antlr.v4.runtime.tree.TerminalNode THROW()

  - ### THROWS

    public org.antlr.v4.runtime.tree.TerminalNode THROWS()

  - ### TRANSIENT

    public org.antlr.v4.runtime.tree.TerminalNode TRANSIENT()

  - ### TRAIT

    public org.antlr.v4.runtime.tree.TerminalNode TRAIT()

  - ### THREADSAFE

    public org.antlr.v4.runtime.tree.TerminalNode THREADSAFE()

  - ### TRY

    public org.antlr.v4.runtime.tree.TerminalNode TRY()

  - ### VAR

    public org.antlr.v4.runtime.tree.TerminalNode VAR()

  - ### VOLATILE

    public org.antlr.v4.runtime.tree.TerminalNode VOLATILE()

  - ### WHILE

    public org.antlr.v4.runtime.tree.TerminalNode WHILE()

  - ### NullLiteral

    public org.antlr.v4.runtime.tree.TerminalNode NullLiteral()

  - ### BooleanLiteral

    public org.antlr.v4.runtime.tree.TerminalNode BooleanLiteral()

  - ### BuiltInPrimitiveType

    public org.antlr.v4.runtime.tree.TerminalNode BuiltInPrimitiveType()

  - ### VOID

    public org.antlr.v4.runtime.tree.TerminalNode VOID()

  - ### PUBLIC

    public org.antlr.v4.runtime.tree.TerminalNode PUBLIC()

  - ### PROTECTED

    public org.antlr.v4.runtime.tree.TerminalNode PROTECTED()

  - ### PRIVATE

    public org.antlr.v4.runtime.tree.TerminalNode PRIVATE()

  - ### getRuleIndex

    public int getRuleIndex()
    Overrides:
      `getRuleIndex` in class `org.antlr.v4.runtime.RuleContext`

  - ### accept

    public <Result> Result accept​(org.antlr.v4.runtime.tree.ParseTreeVisitor<? extends Result> visitor)
    Specified by:
      `accept` in interface `org.antlr.v4.runtime.tree.ParseTree`
    Overrides:
      `accept` in class `org.antlr.v4.runtime.RuleContext`